websocket-sharp : WebSocketSharp.Net Namespace

# HttpVersion Class

Provides the HTTP version numbers.

## Syntax

public class HttpVersion

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from object.

## Public Constructors

| HttpVersion () | Initializes a new instance of the WebSocketSharp.Net.HttpVersion class.

## Public Fields

static readonly | Version10 | Version . Provides a Version instance for HTTP 1.0.
static readonly | Version11 | Version . Provides a Version instance for HTTP 1.1.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### HttpVersion Constructor

> Initializes a new instance of the WebSocketSharp.Net.HttpVersion class.

> ## Syntax

> public HttpVersion ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Version10 Field

> Provides a Version instance for HTTP 1.0.

> ## Syntax

> public static readonly Version Version10

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Version11 Field

> Provides a Version instance for HTTP 1.1.

> ## Syntax

> public static readonly Version Version11

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)